日報タグ削除
DELETE
/daily_report_tags/{daily_report_tag_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/timecard/daily_report_tags/123';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/timecard/daily_report_tags/123 \ --header 'Authorization: Bearer <token>'日報タグを削除します。
対象
- プラン
- エンタープライズ、旧有料
- オプション
- 日報
対象ユーザー権限
- 日報管理編集
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”daily_report_tag_id
required
string
日報タグID
Example
123Responses
Section titled “Responses”削除成功
Media typeapplication/json
object
dailyReportTagId
日報タグID
string
Example
{ "dailyReportTagId": "123"}- リクエストの形式が不正な場合
- 削除に失敗した場合
Media typeapplication/json
object
type
エラータイプを識別するURI、もしくはabout:blank
string
title
エラーの概要
string
detail
エラーの詳細
string
Example
{ "type": "about:blank", "title": "Bad Request", "detail": "削除に失敗しました。"}- 指定したIDのデータが存在しない場合
Media typeapplication/json
object
type
エラータイプを識別するURI、もしくはabout:blank
string
title
エラーの概要
string
detail
エラーの詳細
string
Example
{ "type": "about:blank", "title": "Not Found", "detail": "該当するデータが存在しません。 ID: 999"}